fop 1.1

## org.apache.fop.render
Class XMLHandlerConfigurator

    java.lang.Object
      org.apache.fop.render.AbstractConfigurator
          org.apache.fop.render.AbstractRendererConfigurator
              org.apache.fop.render.XMLHandlerConfigurator

    public class XMLHandlerConfigurator

extends AbstractRendererConfigurator

Configurator for XMLHandler objects.

Field Summary
`protected static org.apache.commons.logging.Log` `log` logger instance

Fields inherited from class org.apache.fop.render.AbstractConfigurator
`userAgent`

Constructor Summary
`XMLHandlerConfigurator(FOUserAgent userAgent)` Default constructor

Method Summary
`void` `configure(RendererContext context, java.lang.String ns)` Configures renderer context by setting the handler configuration on it.

Methods inherited from class org.apache.fop.render.AbstractRendererConfigurator
`getRendererConfig, getRendererConfig, getType`

Methods inherited from class org.apache.fop.render.AbstractConfigurator
`getConfig`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final org.apache.commons.logging.Log log

  logger instance

Constructor Detail

### XMLHandlerConfigurator

    public XMLHandlerConfigurator(FOUserAgent userAgent)

  Default constructor

  Parameters:
    `userAgent` - the user agent

Method Detail

### configure

    public void configure(RendererContext context,
                          java.lang.String ns)
                   throws FOPException

  Configures renderer context by setting the handler configuration on it.

  Parameters:
    `context` - the RendererContext (contains the user agent)
    `ns` - the Namespace of the foreign object
  Throws:
    `FOPException` - if configuring the target objects fails

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.